package ru.other.company.loy.service.provider;

import java.math.BigDecimal;
import ru.crystals.pos.api.ext.loyal.dto.BonusAccrualResult;
import ru.crystals.pos.api.ext.loyal.dto.LoyaltyResult;
import ru.crystals.pos.api.ext.loyal.dto.Slip;
import ru.crystals.pos.api.ext.loyal.dto.SlipParagraph;
import ru.crystals.pos.api.ext.loyal.dto.SlipParagraphType;
import ru.crystals.pos.api.ext.loyal.dto.auxiliaries.PreFiscalizationFeedback;
import ru.crystals.pos.spi.receipt.Card;
import ru.crystals.pos.spi.receipt.Receipt;

/**
 * Стратегия поведения плагина в событии предфискализации чека продажи.
 */
public class SaleReceiptPrefiscalizationStrategy implements PrefiscalizationStrategy {

    private ExampleLoyProvider plugin;

    public SaleReceiptPrefiscalizationStrategy(ExampleLoyProvider plugin) {
        this.plugin = plugin;
    }

    @Override
    public PreFiscalizationFeedback apply(Receipt receipt, LoyaltyResult result) {
        Slip slip = new Slip();
        slip.getParagraphs().add(new SlipParagraph(SlipParagraphType.TEXT, "Пример слипа при событии предфискализации чека"));

        PreFiscalizationFeedback preFiscalizationFeedback = new PreFiscalizationFeedback();
        preFiscalizationFeedback.getSlips().add(slip);
        // При предфискализации чека продажи можно уведомить кассу о событии начисления бонусов на карту.
        // Это событие станет доступно при просмотре исторической инфрмации по продажам с применением карты.
        for(Card card : receipt.getCards()) {
            if(!Contstants.MY_CARD_ID.equals(card.getProcessingId())) {
                continue;
            }
            preFiscalizationFeedback.getBonusAccrualResults()
                    .put(card.getCardNumber(), new BonusAccrualResult("978-789-546", BigDecimal.valueOf(13.0)));
        }
        return preFiscalizationFeedback;
    }
}
