package ru.crystals.pos.api.ext.loyal.dto;

import ru.crystals.pos.spi.receipt.BonusBalance;

import java.math.BigDecimal;

/**
 * Начисление бонусов/фишек плагином лояльности.
 */
public class BonusAccrual {
    /**
     * Идентификатор транзакции начисления бонусов на данную карту.
     */
    private String transactionId;
    /**
     * Баланс, на который предполагается начисление.
     * @since 0.0.60
     */
    private BonusBalance balance;
    /**
     * Величина начисленных бонусов.
     */
    private BigDecimal amount;

    public BonusAccrual() {
    }

    public BonusAccrual(String transactionId, BonusBalance balance, BigDecimal amount) {
        this.transactionId = transactionId;
        this.balance = balance;
        this.amount = amount;
    }

    public String getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }

    public BonusBalance getBalance() {
        return balance;
    }

    public void setBalance(BonusBalance balance) {
        this.balance = balance;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    @Override
    public String toString() {
        return "BonusAccrual{" +
                "transactionId='" + transactionId + '\'' +
                ", balance=" + balance +
                ", amount=" + amount +
                '}';
    }
}
