package ru.crystals.pos.api.ui.listener;

/**
 * Интерфейс обработчика событий формы диалога с двумя вариантами выбора (кнопками).<br>
 * Пользователь (кассир) также может отказаться от выбора и нажать клавишу <b>Отмена</b>
 * (или попытаться закрыть форму),
 * в таком случае будет отправлено событие {@link DialogListener#eventCanceled()}.
 */
public interface DialogListener extends CancelListener {

    /**
     * Нажата кнопка 1.
     */
    void eventButton1pressed();

    /**
     * Нажата кнопка 2.
     */
    void eventButton2pressed();

}
