package ru.crystals.pos.spi.plugin.card;


import ru.crystals.pos.api.plugin.card.CardSearchResponse;

/**
 * Интерфейс для оповещения об окончании процесса поиска карты.<br>
 * Вызов методов этого интерфейса означает, что процесс поиска карты завершен и кассе разрешено двигаться дальше по
 * техпроцессу.
 */
public interface CardSearchCallback {

    /**
     * Обработчик события о завершении поиска карты.
     * @param result результат поиска карты.
     */
    void onCardSearchCompleted(CardSearchResponse result);
}
