package ru.crystals.pos.spi.plugin.payment;

import ru.crystals.pos.api.plugin.payment.Payment;
import ru.crystals.pos.spi.receipt.Receipt;

/**
 * Интерфейс запроса на выполнение отмены оплаты. <br>
 * Используется при аннулировании оплаченного чека.
 */
public interface CancelRequest {

    /**
     * Данные оплаты, которую необходимо отменить.
     * 
     * @return {@link Payment}
     */
    Payment getPayment();
    
    /**
     * Текущий чек, который необходимо аннулировать.
     * 
     * @return чек - {@link Receipt}
     */
    Receipt getReceipt();

    /**
     * Интерфейс для оповещения кассы о результатах выполнения отмены.
     * 
     * @return {@link PaymentCallback}
     */
    PaymentCallback getPaymentCallback();

}
