package ru.crystals.pos.spi.receipt;

import java.math.BigDecimal;

/**
 * Описывает бонусы, примененные к позиции (начисленные либо списанные).
 * @since 0.0.60
 */
public interface AppliedBonusAmount {
    /**
     * Возвращает количество бонусов.
     * @return количество бонусов.
     */
    BigDecimal getAmount();

    /**
     * Возвращает количество товара в позиции, на которое начислены бонусы.
     * @return количество товара в позиции, на которое начислены бонусы.
     */
    BigDecimal getQuantity();

    /**
     * GUID рекламной акции, срабатывание которой привело к начислению бонусов.
     * @return GUID рекламной акции, срабатывание которой привело к начислению бонусов.
     */
    Long getAdvertisingActionGuid();
}
