package ru.crystals.pos.spi.receipt;

/**
 * Тип оплаты
 */
public class PaymentType {

    /**
     * Идентификатор типа оплаты "наличные"
     */
    public static final String CASH_PAYMENT = "CashPaymentEntity";

    /**
     * Идентификатор типа оплаты "банковской картой"
     */
    public static final String BANK_CARD_PAYMENT = "BankCardPaymentEntity";

    /**
     * Идентификатор типа оплаты "купюроприемник"
     */
    public static final String CASH_MACHINE_PAYMENT = "CashMachinePaymentEntity";

    /**
     * Идентификатор типа оплаты
     * В случае плагинной оплаты - это id соответствующего плагина,
     * наличные - CashPaymentEntity, банковской картой - BankCardPaymentEntity,
     * купюроприемник - CashMachinePaymentEntity
     */
    private String typeId;

    public PaymentType(String typeId) {
        this.typeId = typeId;
    }

    public String getTypeId() {
        return typeId;
    }

    public void setTypeId(String typeId) {
        this.typeId = typeId;
    }

    @Override
    public String toString() {
        return "PaymentType{" +
                "typeId='" + typeId + '\'' +
                '}';
    }
}
