package ru.crystals.pos.spi.ui;

import ru.crystals.pos.spi.Injectable;

/**
 * Очередь сообщений для отображения на кассе в различные моменты тех. процесса.
 * @since 0.0.45
 */
public interface MessageQueue extends Injectable {

    /**
     * Планируемый момент отображения сообщения.
     */
    enum ScheduledMoment {

        /**
         * Сразу по завершению работы с текущим чеком.
         */
        READY_TO_START_NEW_RECEIPT,

    }

    /**
     * Запланировать показ сообщения.
     * Если в момент вызова в очереди находится сообщение с данным идентификатором, то сообщение будет заменено.
     *
     * @param messageId идентификатор сообщения
     * @param messageParameters настройки сообщения
     */
    void enqueue(String messageId, MessageParameters messageParameters);

    /**
     * Убрать сообщение из очереди.
     *
     * @param messageId идентификатор сообщения
     */
    void dequeue(String messageId);

}
